/* --------------------------------------------------------------------------
--
-- dsbench/postgres/func_work_select.sql
--
-- Copyright (C) 2015-2015 Rajko Thon <rajko.thon@leitstern.de>
--                         Mathias Ball <meb@leitstern.de>
--
-- DSBench is free software: you can redistribute it and/or modify it
-- under the terms of the GNU Lesser General Public License as published
-- by the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- You must obey the GNU Lesser General Public License in all respects for
-- all of the code used.
--
-- DSBench is distributed in the hope that it will be useful, but WITHOUT
-- ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-- FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
-- License for more details.
--
-------------------------------------------------------------------------- */

create or replace function tpcb_func_p_work_select(
  i_branch_id        bigint,
  i_teller_id        bigint,
  i_account_id       bigint,
  i_delta            bigint
)
returns
  bigint
as $$
  declare o_account_balance bigint;
begin
--{
  -- Step 2: get current balance
  select account_balance
    from tpcb_account
   where account_id = i_account_id
    into o_account_balance;

  return o_account_balance;
--}  
end;
$$ language plpgsql;
